Index: main/waeup.kofa/trunk/src/waeup/kofa/students/interfaces.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/students/interfaces.py	(revision 12996)
+++ main/waeup.kofa/trunk/src/waeup/kofa/students/interfaces.py	(revision 12997)
@@ -72,5 +72,4 @@
 class IStudentsUtils(Interface):
     """A collection of methods which are subject to customization.
-
     """
     def setReturningData(student):
@@ -144,9 +143,7 @@
 class IStudentsContainer(IKofaObject):
     """A students container contains university students.
-
     """
     def addStudent(student):
         """Add an IStudent object and subcontainers.
-
         """
 
@@ -185,5 +182,4 @@
 class IStudentNavigation(IStudentNavigationBase):
     """Interface needed for student navigation, logging, etc.
-
     """
     student = Attribute('Student object of context.')
@@ -196,22 +192,26 @@
 class IStudentBase(IKofaObject):
     """Representation of student base data.
-
-    """
-    history = Attribute('Object history, a list of messages')
-    state = Attribute('Returns the registration state of a student')
-    password = Attribute('Encrypted password of a student')
+    """
+    password = Attribute('Encrypted password')
     temp_password = Attribute(
         'Dictionary with user name, timestamp and encrypted password')
-    certcode = Attribute('The certificate code of any chosen study course')
-    depcode = Attribute('The department code of any chosen study course')
-    faccode = Attribute('The faculty code of any chosen study course')
-    entry_session = Attribute('The entry session of the student')
-    current_session = Attribute('The current session of the student')
-    current_level = Attribute('The current level of the student')
-    current_mode = Attribute('The current mode of the student')
-    current_verdict = Attribute('The current verdict of the student')
+    history = Attribute('Object history, a list of messages')
+    state = Attribute('Registration state')
+    certcode = Attribute('Certificate code of any chosen study course')
+    depcode = Attribute('Department code of any chosen study course')
+    faccode = Attribute('Faculty code of any chosen study course')
+    entry_session = Attribute('Entry session')
+    current_session = Attribute('Current session')
+    current_level = Attribute('Current level')
+    current_mode = Attribute('Current mode')
+    current_verdict = Attribute('Current verdict')
     fullname = Attribute('All name parts separated by hyphens')
-    display_fullname = Attribute('The fullname of an applicant')
+    display_fullname = Attribute('Fullname as displayed on pages')
     is_postgrad = Attribute('True if postgraduate student')
+    is_special_postgrad = Attribute('True if special postgraduate student')
+    is_fresh = Attribute('True if fresh student')
+    before_payment = Attribute('True if no previous payment has to be made')
+    personal_data_expired = Attribute('True if personal data expired')
+    transcript_enabled = Attribute('True if transcript processing is enabled')
 
     suspended = schema.Bool(
@@ -286,15 +286,16 @@
         )
 
+    def writeLogMessage(view, message):
+        """Write formatted log message into student.log.
+        """
+
     def setTempPassword(user, password):
         """Set a temporary password (LDAP-compatible) SSHA encoded for
         officers.
-
         """
 
     def getTempPassword():
         """Check if a temporary password has been set and if it
-        is not expired.
-
-        Return the temporary password if valid,
+        is not expired. Return the temporary password if valid,
         None otherwise. Unset the temporary password if expired.
         """
@@ -303,10 +304,12 @@
         current_level, current_verdict):
         """ Creates a new studycourse and backups the old one.
-
+        """
+
+    def revert_transfer():
+        """ Revert previous transfer.
         """
 
 class IUGStudentClearance(IKofaObject):
     """Representation of undergraduate student clearance data.
-
     """
     officer_comment = schema.Text(
@@ -383,5 +386,4 @@
 class IStudentPersonalEdit(IStudentPersonal):
     """Interface for editing personal data by students.
-
     Here we can repeat the fields from IStudentPersonal and set the
     `required` if necessary.
@@ -395,5 +397,4 @@
 class IStudentUpdateByRegNo(IStudent):
     """Representation of a student. Skip regular reg_number validation.
-
     """
     reg_number = schema.TextLine(
